package com.yanzhu.jh.trouble.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 质量留痕对象 smz_ssp_marks
 * 
 * @author JiangYuQi
 * @date 2023-07-28
 */
public class SmzSspMarks extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 留痕上报地点 */
    @Excel(name = "留痕上报地点")
    private String marksLocation;

    /** 留痕时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss")
    @Excel(name = "留痕时间", width = 30, dateFormat = "yyyy-MM-dd HH:ss")
    private Date marksTime;

    /** 留痕图片 */
    @Excel(name = "留痕图片")
    private String marksPicture;

    /** 留痕视频 */
    @Excel(name = "留痕视频")
    private String marksVideo;

    /** 工程类型 */
    @Excel(name = "工程类型")
    private String projectType;

    /** 工程名称 */
    @Excel(name = "工程名称")
    private String projectName;

    /** 工序名称 */
    @Excel(name = "工序名称")
    private String processName;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String positionPart;

    /** 留痕说明 */
    @Excel(name = "留痕说明")
    private String marksRemark;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditorPerson;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:ss")
    private Date createDate;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 项目id */
    @Excel(name = "项目id")
    private Long projectId;

    /** 审核人手机号 */
    @Excel(name = "审核人手机号")
    private String auditorPhone;

    /** 审核状态（0待整改，未整改，[待审核]，1待确认，3驳回，4通过） */
    @Excel(name = "审核状态", readConverterExp = "0=待整改，未整改，[待审核]，1待确认，3驳回，4通过")
    private Long checkState;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idcardnum;

    /** 留痕上报的id为1 */
    @Excel(name = "留痕上报的id为1")
    private Long infoType;

    /** 智能公司展示的图片url */
    @Excel(name = "智能公司展示的图片url")
    private String smarkUrl;

    /** 同步状态 */
    @Excel(name = "同步状态")
    private Long synchronization;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 监理人员名称 */
    @Excel(name = "监理人员名称")
    private String surveyorName;

    /** 监理身份证号码 */
    @Excel(name = "监理身份证号码")
    private String surveyorId;

    /** 监理留痕时间 */
    @Excel(name = "监理留痕时间")
    private String surveyorTime;

    /** 监理留痕说明 */
    @Excel(name = "监理留痕说明")
    private String surveyorContent;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:ss")
    private Date updateDate;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setMarksLocation(String marksLocation) 
    {
        this.marksLocation = marksLocation;
    }

    public String getMarksLocation() 
    {
        return marksLocation;
    }
    public void setMarksTime(Date marksTime) 
    {
        this.marksTime = marksTime;
    }

    public Date getMarksTime() 
    {
        return marksTime;
    }
    public void setMarksPicture(String marksPicture) 
    {
        this.marksPicture = marksPicture;
    }

    public String getMarksPicture() 
    {
        return marksPicture;
    }
    public void setMarksVideo(String marksVideo) 
    {
        this.marksVideo = marksVideo;
    }

    public String getMarksVideo() 
    {
        return marksVideo;
    }
    public void setProjectType(String projectType) 
    {
        this.projectType = projectType;
    }

    public String getProjectType() 
    {
        return projectType;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setProcessName(String processName) 
    {
        this.processName = processName;
    }

    public String getProcessName() 
    {
        return processName;
    }
    public void setPositionPart(String positionPart) 
    {
        this.positionPart = positionPart;
    }

    public String getPositionPart() 
    {
        return positionPart;
    }
    public void setMarksRemark(String marksRemark) 
    {
        this.marksRemark = marksRemark;
    }

    public String getMarksRemark() 
    {
        return marksRemark;
    }
    public void setAuditorPerson(String auditorPerson) 
    {
        this.auditorPerson = auditorPerson;
    }

    public String getAuditorPerson() 
    {
        return auditorPerson;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setAuditorPhone(String auditorPhone) 
    {
        this.auditorPhone = auditorPhone;
    }

    public String getAuditorPhone() 
    {
        return auditorPhone;
    }
    public void setCheckState(Long checkState) 
    {
        this.checkState = checkState;
    }

    public Long getCheckState() 
    {
        return checkState;
    }
    public void setIdcardnum(String idcardnum) 
    {
        this.idcardnum = idcardnum;
    }

    public String getIdcardnum() 
    {
        return idcardnum;
    }
    public void setInfoType(Long infoType) 
    {
        this.infoType = infoType;
    }

    public Long getInfoType() 
    {
        return infoType;
    }
    public void setSmarkUrl(String smarkUrl) 
    {
        this.smarkUrl = smarkUrl;
    }

    public String getSmarkUrl() 
    {
        return smarkUrl;
    }
    public void setSynchronization(Long synchronization) 
    {
        this.synchronization = synchronization;
    }

    public Long getSynchronization() 
    {
        return synchronization;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setSurveyorName(String surveyorName) 
    {
        this.surveyorName = surveyorName;
    }

    public String getSurveyorName() 
    {
        return surveyorName;
    }
    public void setSurveyorId(String surveyorId) 
    {
        this.surveyorId = surveyorId;
    }

    public String getSurveyorId() 
    {
        return surveyorId;
    }
    public void setSurveyorTime(String surveyorTime) 
    {
        this.surveyorTime = surveyorTime;
    }

    public String getSurveyorTime() 
    {
        return surveyorTime;
    }
    public void setSurveyorContent(String surveyorContent) 
    {
        this.surveyorContent = surveyorContent;
    }

    public String getSurveyorContent() 
    {
        return surveyorContent;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("marksLocation", getMarksLocation())
            .append("marksTime", getMarksTime())
            .append("marksPicture", getMarksPicture())
            .append("marksVideo", getMarksVideo())
            .append("projectType", getProjectType())
            .append("projectName", getProjectName())
            .append("processName", getProcessName())
            .append("positionPart", getPositionPart())
            .append("marksRemark", getMarksRemark())
            .append("auditorPerson", getAuditorPerson())
            .append("createDate", getCreateDate())
            .append("createUser", getCreateUser())
            .append("projectId", getProjectId())
            .append("auditorPhone", getAuditorPhone())
            .append("checkState", getCheckState())
            .append("idcardnum", getIdcardnum())
            .append("infoType", getInfoType())
            .append("smarkUrl", getSmarkUrl())
            .append("synchronization", getSynchronization())
            .append("isDel", getIsDel())
            .append("surveyorName", getSurveyorName())
            .append("surveyorId", getSurveyorId())
            .append("surveyorTime", getSurveyorTime())
            .append("surveyorContent", getSurveyorContent())
            .append("updateDate", getUpdateDate())
            .toString();
    }
}
